import { Component } from '@angular/core';
import { ModalController } from '@ionic/angular';
import { IonicModule } from '@ionic/angular';
import { CommonModule } from '@angular/common';
@Component({
  selector: 'app-community-activity-modal',
  standalone: true,
  imports: [CommonModule, IonicModule],
  template: `
    <ion-header>
      <ion-toolbar>
        <ion-title>社区活动</ion-title>
        <ion-buttons slot="end">
          <ion-button (click)="dismiss()">关闭</ion-button>
        </ion-buttons>
      </ion-toolbar>
    </ion-header>
    <ion-content>
      <div class="dashed-box">
        <h2>活动待公布</h2>
      </div>
    </ion-content>
  `,
  styles: [`
    .dashed-box {
      height: 30%;
      border: 2px dashed #999;
      display: flex;
      justify-content: center;
      align-items: center;
      color: #999;
    }
    h2 {
      font-size: 1.5rem;
      font-weight: bold;
    }
  `]
})
export class CommunityActivityModal {
  constructor(private modalCtrl: ModalController) {}

  dismiss() {
    this.modalCtrl.dismiss();
  }
}